version: '2'

mpp-vars:
  distro_name: cs9 # The default

mpp-define-image:
  size: $image_size
  table:
    uuid: $parttab_uuid
    label: $partition_label
    partitions:
    - id: efi
      start:
        mpp-eval: "0 if partition_label == 'gpt' else 2048"
      size: $efipart_size
      type:
        mpp-eval: "'C12A7328-F81F-11D2-BA4B-00A0C93EC93B' if partition_label == 'gpt' else 'ef'"
      uuid: $efipart_uuid
    - id: boot
      size: $bootpart_size
      type:
        mpp-eval: "'0FC63DAF-8483-4772-8E79-3D69D8477DE4' if partition_label == 'gpt' else '83'"
      uuid: $bootpart_uuid
    - id: root
      type:
        mpp-eval: "'0FC63DAF-8483-4772-8E79-3D69D8477DE4' if partition_label == 'gpt' else '83'"
      uuid: $rootpart_uuid
pipelines:
- mpp-import-pipelines:
    path: ../../distro/$distro_name.ipp.yml
- mpp-import-pipelines:
    path: defaults.ipp.yml
- mpp-import-pipelines:
    path: target-$target.ipp.yml
- mpp-import-pipeline:
    path: build-$arch.ipp.yml
    id: build
  runner: org.osbuild.centos9
